Subject: Re: Is Git Add Supposed to Work Like This (git 2.50)?

From: Junio C Hamano <[email-masked]>
Date: Tue, 09 Sep 2025 13:55:05 -0700

Jeff King <[email-masked]> writes:

> Oops, I think our mails just crossed. I don't think --ignore-errors does
> quite what you want, though:
>
>   $ touch foo
>   $ git add foo bar
>   fatal: pathspec 'bar' did not match any files
>   $ git add --ignore-errors foo bar
>   fatal: pathspec 'bar' did not match any files
>   $ git status --porcelain
>   ?? foo

The option is described like so:

    --[no-]ignore-errors  just skip files which cannot be added because of errors

I think "because of errors" is meant handle a sequence more like this:

    $ date >foo ; date >bar
    $ chmod a= foo
    $ git add --ignore-errors foo bar
    $ git diff --cached --name-only
    bar